package com.rjconsultores.ventaboletos.web.utilerias;

import org.zkoss.util.resource.Labels;
import org.zkoss.zhtml.Messagebox;

public class MensagensUtils {
	
	private MensagensUtils() {
	}
	
	public static int showMessageInformation(String labelMensagem, String tituloMenssagem) {
		return showMessage(labelMensagem, tituloMenssagem, Messagebox.OK, Messagebox.INFORMATION);
	}
	
	public static int showMessageExclamation(String labelMensagem, String tituloMenssagem) {
		return showMessage(labelMensagem, tituloMenssagem, Messagebox.OK, Messagebox.EXCLAMATION);
	}
	
	public static int showMessageError(String labelMensagem, String tituloMenssagem) {
		return showMessage(labelMensagem, tituloMenssagem, Messagebox.OK, Messagebox.ERROR);
	}
	
	public static int showMessageQuestion(String labelMensagem, String tituloMenssagem) {
		return showMessage(labelMensagem, tituloMenssagem, Messagebox.YES | Messagebox.NO, Messagebox.QUESTION);
	}

	private static int showMessage(String labelMensagem, String tituloMenssagem, 
			int botoesMensagem, String iconeMensagem) {
		try {
			final String label = Labels.getLabel(labelMensagem) == null ? labelMensagem : Labels.getLabel(labelMensagem); 
			final String titulo = Labels.getLabel(tituloMenssagem) == null ? tituloMenssagem : Labels.getLabel(tituloMenssagem); 
			return Messagebox.show(
					label,
					titulo,
					botoesMensagem, iconeMensagem);
		} catch (InterruptedException e) {
			Thread.currentThread().interrupt();
			return Messagebox.OK;
		}
		
	}
}
